Loading...
Searching...
No Matches
EdmondsKarpDefaultTraits< GR, CAP > Struct Template Reference

## Detailed Description

template<typename GR, typename CAP>
struct lemon::EdmondsKarpDefaultTraits< GR, CAP >

Default traits class of EdmondsKarp class.

Parameters

  GR | Digraph type.
  CAP | Type of capacity map.

`#include <lemon/edmonds_karp.h>`

## Public Types

typedef GR | Digraph
| The digraph type the algorithm runs on.
typedef CAP | CapacityMap
| The type of the map that stores the arc capacities.
typedef CapacityMap::Value | Value
| The type of the flow values.
typedef GR::ArcMap< Value > | FlowMap
| The type of the map that stores the flow values.
typedef lemon::Tolerance< Value > | Tolerance
| The tolerance used by the algorithm.

## Static Public Member Functions

static FlowMap * | createFlowMap (const Digraph &digraph)
| Instantiates a FlowMap.

## Member Typedef Documentation

## CapacityMap

template<typename GR, typename CAP>

typedef CAP CapacityMap

The type of the map that stores the arc capacities. It must meet the ReadMap concept.

## FlowMap

template<typename GR, typename CAP>

typedef GR::ArcMap<Value> FlowMap

The type of the map that stores the flow values. It must meet the ReadWriteMap concept.

## Tolerance

template<typename GR, typename CAP>

typedef lemon::Tolerance<Value> Tolerance

The tolerance used by the algorithm to handle inexact computation.

## Member Function Documentation

## createFlowMap()

template<typename GR, typename CAP>

FlowMap * createFlowMap | ( | const Digraph & | digraph | ) |

inline static

This function instantiates a FlowMap.

Parameters

  digraph | The digraph for which we would like to define the flow map.